#!/bin/sh
module="fs450"
device="fs450"
group="sys"
mode="0666"

echo "installing fs450"
echo /sbin/insmod -f $module.ko $* || exit 1
/sbin/insmod -f $module.ko $* || exit 1

echo rm -f /dev/${device}
rm -f /dev/${device}

major=`cat /proc/devices | awk "\\$2==\"$module\" {print \\$1}"`
echo mknod /dev/${device} c $major 0
mknod /dev/${device} c $major 0

echo chgrp $group /dev/${device}
chgrp $group /dev/${device}
echo chmod $mode /dev/${device}
chmod $mode /dev/${device}

